Bug 1076735 - RFE: update httpd-itk to match httpd version
Summary: RFE: update httpd-itk to match httpd version
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd-itk
Version: 20
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-15 00:30 UTC by Michael Hampton
Modified: 2014-08-18 12:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-18 12:35:51 UTC


Attachments (Terms of Use)

Description Michael Hampton 2014-03-15 00:30:48 UTC
Description of problem:
The httpd-itk package version is not in sync with the httpd package version. Upstream release of httpd-itk is 2.4.7-02.

I am requesting that httpd-itk be brought back in sync, as the current 2.2 version was designed for Apache 2.2, rather than Fedora's current 2.4.

Version-Release number of selected component (if applicable):
httpd-itk-2.2.22-10.fc20.x86_64

Comment 1 Fedora Update System 2014-03-30 11:11:56 UTC
httpd-itk-2.4.7.01-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/httpd-itk-2.4.7.01-1.fc20

Comment 2 Pavel Alexeev 2014-03-30 11:12:48 UTC
You are right, thank you. It committed long time before, but can't be built until httpd 2.4 come.

Comment 3 Fedora Update System 2014-04-09 00:59:04 UTC
httpd-itk-2.4.7.01-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Pavel 2014-07-24 12:31:29 UTC
Bumping this, needs new push.

Starting httpd: httpd.itk: Syntax error on line 179 of /etc/httpd/conf/httpd.conf: Cannot load /etc/httpd/modules/mod_status.so into server: /etc/httpd/modules/mod_status.so: undefined symbol: ap_copy_scoreboard_worker

with a recent update of httpd-2.2.15-31.el6 and httpd-itk-2.2.22-6.el6 mod_status doesn't works.

Comment 5 Tamas Szasz 2014-07-24 16:48:39 UTC
Same problem here. Can't update to newest httpd 2.2.15-31 on RHEL 6.

Comment 6 Pavel Alexeev 2014-08-18 12:35:51 UTC
Firstly this bug about Fedora 20 version, for el 6 should be opened new one. Secondly mod_status is absolutely different from httpd-itk.


Note You need to log in before you can comment on or make changes to this bug.